Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions

# OdeMass Class Reference

List of all members.

## Public Member Functions
| OdeMass ()
| OdeMass (OdeMass const copy)
| add (OdeMass other)
| adjust (float newmass)
int | check ()
Point3 | getCenter ()
Mat3 | getInertialTensor ()
float | getMagnitude ()
| rotate (Mat3 const r)
| setBox (float density, VBase3 const size)
| setBox (float density, float lx, float ly, float lz)
| setBoxTotal (float total_mass, float lx, float ly, float lz)
| setBoxTotal (float total_mass, VBase3 const size)
| setCapsule (float density, int direction, float radius, float length)
| setCapsuleTotal (float total_mass, int direction, float radius, float length)
| setCylinder (float density, int direction, float radius, float length)
| setCylinderTotal (float total_mass, int direction, float radius, float length)
| setParameters (float themass, VBase3 const center, Mat3 const r)
| setParameters (float themass, float cgx, float cgy, float cgz, float I11, float I22, float I33, float I12, float I13, float I23)
| setSphere (float density, float radius)
| setSphereTotal (float total_mass, float radius)
| setZero ()
| translate (float x, float y, float z)
| translate (VBase3 const pos)
| write (ostream out, unsigned int indent)
| write (ostream out)
| write ()
## Static Public Member Functions
static TypeHandle | getClassType ()

## Constructor & Destructor Documentation

OdeMass | ( |  | ) |

OdeMass | ( | OdeMass const | copy | ) |

## Member Function Documentation

add | ( | OdeMass | other | ) |

adjust | ( | float | newmass | ) |

int check | ( |  | ) |

Point3 getCenter | ( |  | ) |

static TypeHandle getClassType | ( |  | ) | `[static]`

Mat3 getInertialTensor | ( |  | ) |

float getMagnitude | ( |  | ) |

rotate | ( | Mat3 const | r | ) |

setBox | ( | float | density,
|  | VBase3 const | size
| ) |  |

setBox | ( | float | density,
|  | float | lx,
|  | float | ly,
|  | float | lz
| ) |  |

setBoxTotal | ( | float | total_mass,
|  | VBase3 const | size
| ) |  |

setBoxTotal | ( | float | total_mass,
|  | float | lx,
|  | float | ly,
|  | float | lz
| ) |  |

setCapsule | ( | float | density,
|  | int | direction,
|  | float | radius,
|  | float | length
| ) |  |

setCapsuleTotal | ( | float | total_mass,
|  | int | direction,
|  | float | radius,
|  | float | length
| ) |  |

setCylinder | ( | float | density,
|  | int | direction,
|  | float | radius,
|  | float | length
| ) |  |

setCylinderTotal | ( | float | total_mass,
|  | int | direction,
|  | float | radius,
|  | float | length
| ) |  |

setParameters | ( | float | themass,
|  | float | cgx,
|  | float | cgy,
|  | float | cgz,
|  | float | I11,
|  | float | I22,
|  | float | I33,
|  | float | I12,
|  | float | I13,
|  | float | I23
| ) |  |

setParameters | ( | float | themass,
|  | VBase3 const | center,
|  | Mat3 const | r
| ) |  |

setSphere | ( | float | density,
|  | float | radius
| ) |  |

setSphereTotal | ( | float | total_mass,
|  | float | radius
| ) |  |

setZero | ( |  | ) |

translate | ( | VBase3 const | pos | ) |

translate | ( | float | x,
|  | float | y,
|  | float | z
| ) |  |

write | ( | ostream | out,
|  | unsigned int | indent
| ) |  |

write | ( |  | ) |

write | ( | ostream | out | ) |

All Classes Namespaces Functions Variables Enumerations Enumerator Properties